Name:           kftpgrabber
Version:        0.8.1
Release:        11%{?dist}
Summary:        FTP client

Group:          Applications/Internet
License:        GPLv2
URL:            http://kftp.org/
Source0:        http://www.kftp.org/uploads/files/%{name}-%{version}.tar.bz2
Patch0:         kftpgrabber-0.8.1-cast.patch
Patch1:         kftpgrabber-0.8.1-comment.patch
Patch2:         kftpgrabber-0.8.1-openssl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs3-devel
BuildRequires:  openssl-devel

Requires(post): /sbin/ldconfig coreutils
Requires(postun): /sbin/ldconfig coreutils


%package devel
Summary:        Development files for kftpgrabber
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description
KFTPgrabber is a graphical FTP client.
It implements many features required for usable FTP interaction.

%description    devel
Kftpgrabber development files.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .comment
%patch2 -p1 -b .openssl

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure  \
  --disable-rpath \
  --enable-new-ldflags

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""                     \
       --dir=%{buildroot}%{_datadir}/applications/kde   \
       %{buildroot}/%{_datadir}/applications/kde/kftpgrabber.desktop

%find_lang %{name}

#rm $RPM_BUILD_ROOT%{_libdir}/kde3/kftpimportplugin*.la
rm $RPM_BUILD_ROOT%{_libdir}/libkftpinterfaces.la


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

#%post -n %{name}-libs -p /sbin/ldconfig
#%postun -n %{name}-libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/kftpgrabber
%{_libdir}/kde3/kftpimportplugin*.*
%{_datadir}/applications/kde/kftpgrabber.desktop
%{_datadir}/apps/kftpgrabber/
%{_datadir}/config.kcfg/kftpgrabber.kcfg
%{_datadir}/icons/hicolor/??x??/apps/kftpgrabber.png
%{_datadir}/services/kftpimportplugin_filezilla3.desktop
%{_datadir}/services/kftpimportplugin_gftp.desktop
%{_datadir}/services/kftpimportplugin_kftp.desktop
%{_datadir}/services/kftpimportplugin_ncftp.desktop
%{_datadir}/servicetypes/kftpbookmarkimportplugin.desktop
%{_libdir}/libkftpinterfaces.so.0
%{_libdir}/libkftpinterfaces.so.0.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/kftpgrabber
%{_includedir}/kftpgrabber/kftpbookmarkimportplugin.h
%{_libdir}/libkftpinterfaces.so


%changelog
* Sat Aug 22 2009 Tomas Mraz <tmraz@redhat.com> - 0.8.1-11
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 0.8.1-9
- Fix for cast issue

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 0.8.1-7
- rebuild with new openssl

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-6
- Autorebuild for GCC 4.3

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.1-5
- BR: kdelibs3-devel openssl-devel
- omit .desktop Icon= munging
- fixup scriptlets, Requires(post,postun): /sbin/ldconfig coreutils
- (re)include plugin .la files
- %%summary,%%description: s/for KDE//
- %%configure: --enable-new-ldflags

* Mon Sep 03 2007 Johan Cwiklinski <johan@x-tnd.be> 0.8.1-3
- Fix licence tag
* Sun May 13 2007 Johan Cwiklinski <johan@x-tnd.be> 0.8.1-2
- Removed INSTALL from devel docs as it is unnecessary file
* Sat May 12 2007 Johan Cwiklinski <johan@x-tnd.be> 0.8.1-1
- Updated to new version
- Removed libs subpackage
- Removed qt-devel BR since its already required by kdebase-devel
* Tue Apr 10 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.8.0-2
- patched desktop file for the icon appears in gnome and xcfe desktops environments
- sourced qt
- added libs package
- using rm for la files instead of excluding them
* Sun Mar 18 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.8.0-1
- Submitting to Fedora Extras
- Removing dir macro since it seems not really necessary
* Mon Mar 12 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.8.0-0.2
- added dir macro to files for directory to be owned by the package
- removed kdebase require since it will be retrieved automatically
* Sat Mar 10 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.8.0-0.1
- Initial RPM creation
